Retrieve knowledge context
curl --request POST \
--url http://127.0.0.1:4000/api/v1/knowledge/retrieve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"topK": 25,
"minScore": 0,
"projectId": "<string>",
"documentId": "<string>"
}
'import requests
url = "http://127.0.0.1:4000/api/v1/knowledge/retrieve"
payload = {
"query": "<string>",
"topK": 25,
"minScore": 0,
"projectId": "<string>",
"documentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
topK: 25,
minScore: 0,
projectId: '<string>',
documentId: '<string>'
})
};
fetch('http://127.0.0.1:4000/api/v1/knowledge/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"topK": 123,
"items": [
{
"id": "<string>",
"score": 123,
"model": "<string>",
"documentId": "<string>",
"documentName": "<string>",
"projectId": "<string>",
"source": "<string>",
"chunkIndex": 123,
"sectionPath": "<string>",
"page": 123,
"content": "<string>",
"metadata": {}
}
]
}{
"statusCode": 123,
"code": "<string>",
"message": "<string>"
}Knowledge API
Retrieve knowledge context
Searches indexed chunks by semantic similarity. Requires L0 authorization.
POST
/
api
/
v1
/
knowledge
/
retrieve
Retrieve knowledge context
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I